<?php /* Smarty version 2.6.16, created on 2007-07-30 18:42:11
         compiled from gallery:modules/publishxp/templates/UploadItems.tpl */ ?>
<script type="text/javascript">
// <![CDATA[
setSubtitle("");
setOnBackUrl("<?php echo $this->_reg_objects['g'][0]->url(array('arg1' => "view=publishxp.Options",'arg2' => "albumId=".($this->_tpl_vars['UploadItems']['albumId']),'arg3' => "setCaptions=".($this->_tpl_vars['UploadItems']['setCaptions']),'arg4' => "stripExtensions=".($this->_tpl_vars['UploadItems']['stripExtensions']),'htmlEntities' => false), $this);?>
");
setSubmitOnNext(true);
setButtons(false, true, false);
function publishItems() {
var xml = window.external.Property("TransferManifest");
var files = xml.selectNodes("transfermanifest/filelist/file");
for (i = 0; i < files.length; i++) {
var postTag = xml.createNode(1, "post", "");
postTag.setAttribute("href", "<?php echo $this->_reg_objects['g'][0]->url(array('arg1' => "controller=publishxp.UploadItems",'htmlEntities' => false,'forceFullUrl' => true), $this);?>
");
postTag.setAttribute("name", "userFile");
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "MAX_FILE_SIZE");
dataTag.text = "10000000";
postTag.appendChild(dataTag);
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "<?php echo $this->_reg_objects['g'][0]->formVar(array('var' => 'controller'), $this);?>
");
dataTag.text = "publishxp.UploadItems";
postTag.appendChild(dataTag);
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "<?php echo $this->_reg_objects['g'][0]->formVar(array('var' => "form[action][uploadItem]"), $this);?>
");
dataTag.text = "1";
postTag.appendChild(dataTag);
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "<?php echo $this->_reg_objects['g'][0]->formVar(array('var' => "form[albumId]"), $this);?>
");
dataTag.text = "<?php echo $this->_tpl_vars['UploadItems']['albumId']; ?>
";
postTag.appendChild(dataTag);
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "<?php echo $this->_reg_objects['g'][0]->formVar(array('var' => "form[setCaptions]"), $this);?>
");
dataTag.text = "<?php echo $this->_tpl_vars['UploadItems']['setCaptions']; ?>
";
postTag.appendChild(dataTag);
var dataTag = xml.createNode(1, "formdata", "");
dataTag.setAttribute("name", "<?php echo $this->_reg_objects['g'][0]->formVar(array('var' => "form[stripExtensions]"), $this);?>
");
dataTag.text = "<?php echo $this->_tpl_vars['UploadItems']['stripExtensions']; ?>
";
postTag.appendChild(dataTag);
files.item(i).appendChild(postTag);
}
var uploadTag = xml.createNode(1, "uploadinfo", "");
var htmluiTag = xml.createNode(1, "htmlui", "");
htmluiTag.text = "<?php echo $this->_reg_objects['g'][0]->url(array('arg1' => "view=core.ShowItem",'arg2' => "itemId=".($this->_tpl_vars['UploadItems']['albumId']),'htmlEntities' => false,'forceFullUrl' => true), $this);?>
";
uploadTag.appendChild(htmluiTag);
xml.documentElement.appendChild(uploadTag);
window.external.Property("TransferManifest")=xml;
window.external.FinalNext();
}
publishItems();
// ]]>
</script>